Skip to content
BookifyCall
Developer docs: Compliance

Compliance

A2P 10DLC and number porting status.

A2P 10DLC brand and campaign status (0 or 1 entries)Link to A2P 10DLC brand and campaign status (0 or 1 entries)

GET/compliance/a2p

Scope
compliance:read
curl "https://bookifycall.com/api/v1/external/compliance/a2p" \
  -H "X-API-Key: $BOOKIFYCALL_API_KEY"
Example response · 200
{
  "success": true,
  "data": [
    {
      "id": "00000000-0000-4000-8000-000000000020",
      "organizationId": "00000000-0000-4000-8000-000000000100",
      "brandStatus": "APPROVED",
      "campaignStatus": "VERIFIED",
      "brandSid": "BN00000000000000000000000000000000",
      "campaignSid": "CM00000000000000000000000000000000",
      "failureReason": null,
      "lastCheckedAt": "2026-01-15T16:34:10.000Z",
      "details": {
        "brandName": "Example Dental",
        "useCase": "CUSTOMER_CARE"
      },
      "createdAt": "2026-01-02T10:00:00.000Z",
      "updatedAt": "2026-01-15T16:34:10.000Z"
    }
  ]
}

Number porting requests, newest firstLink to Number porting requests, newest first

GET/compliance/porting

Scope
compliance:read

Query parameters

statusstring
One of: submitted, in_review, approved, completed, rejected, cancelled
curl "https://bookifycall.com/api/v1/external/compliance/porting" \
  -H "X-API-Key: $BOOKIFYCALL_API_KEY"
Example response · 200
{
  "success": true,
  "data": []
}
Next: Webhooks